import { Component, OnInit } from "@angular/core";
import { Http } from "@angular/http";
import "rxjs/Rx";
import * as ApplicationSettings from "application-settings";

@Component({
    selector: "ns-app",
    templateUrl: "app.component.html",
})

export class AppComponent implements OnInit {

    private http: Http;
    public data: any;

    public constructor(http: Http) {
        this.http = http;
        this.data = [];
    }

    public ngOnInit() {
        let currencies = ["USD", "GBP", "EUR", "JPY", "MXN"];
        for(let key in currencies) {
            this.convert(currencies[key])
                .subscribe(result => {
                    this.data.push(result.data);
                });
        }
    }

    private convert(currency: string) {
        let url = "https://api.coinbase.com/v2/prices/spot?currency=";
        return this.http.get(url + currency)
            .map(result => result.json());
    }

    public save() {
        ApplicationSettings.setString("data", JSON.stringify(this.data));
    }

    public load() {
        this.data = JSON.parse(ApplicationSettings.getString("data", "[]"));
    }

}
